.cta {
  display: inline-flex;
  padding: .8rem;
  border: none;
  border-radius: 5rem;
  background: $gradient;
  color: $white;
  font-style: italic;
  font-family: $font-global;
  font-size: 1.4rem;
  text-decoration: none;
  text-transform: uppercase;

  span {
    z-index: 3;
    display: flex;
    position: relative;
    padding: .8rem 2.3rem;
    color: $black;
    // background-color: $white;
    border-radius: 5rem;
    transition: all 0.5s $ease-out-expo;

    &::after {
      z-index: -1;
      content: '';
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      background-color: $white;
      border-radius: 5rem;
      transform: scale(1);
      transition: all 0.8s $ease-out-expo;
    }

    &:hover {
      color: $white;

      &::after {
        transform: scale(0);
      }
    }
  }

  &.filled {
    font-size: 1.2rem;
    background: $gradient;
    padding: 0.5rem 0.6rem;

    span {
      padding: 0.7rem 2.6rem;
      color: $white;

      &::after {
        transform: scale(0);
      }

      &:hover {
        color: $black;
        
        &::after {
          transform: scale(1);
        }
      }
    }
  }

  &--white {
    background: $white !important;
    color: $black;

    span {
      color: $black !important;
      
      &::after {
        background: $gradient !important;
      }
      
      &:hover {
        color: $white !important;
        
        &::after {
          transform: scale(1);
        }
      }
    }
  }

  &:focus, &:active, &:target, &:visited {
    color: currentColor;
  }

  &:hover {
    cursor: pointer;
  }
}